System Requirements

Overview

This page outlines the software requirements for Active Console 2. Check that the Active Console 2 can connect to the Gateway machines and port where the Gateway data is accessible.

For more information, see Geneos Compatibility Matrix

Minimum requirements

The following minimum requirements must be met:

Prerequisite Minimum requirement
Operating system (OS)

Windows Desktop 7, 8.1, 10
Windows Server 2008, 2008 R2, 2012, 2012 R2, 2016

macOS 10.14 (Mojave)

Ubuntu 18.04 LTS (Bionic Beaver)

Note: Active Console 2 on Ubuntu is only available as a technology preview with limited support. It will become fully supported in a future release.

Central processing unit (CPU) Multi-core
Memory 4 GB for 64-bit system
Network One network card (100 Mbps)
Disk 500 MB
   

The Active Console 2 does not support cross-platform functions and operations. Importing components, such as dashboards, workspaces, list view settings, customised dataviews, and dockables, from one supported platform to another, may be successful at first. However, the import is not expected to work properly.

For Linux

When Security-Enhanced Linux (SELinux) is running in Enforcing mode, it may deny certain functions on Geneos depending on the implemented configurations and policies.

To see which functions SELinux denies, check the audit log. The log is typically located in /var/log/audit.log, where the log type entry is type=AVC. The audit log provides the details of any denied access. For example, denied connection to the TCP port.

If you experience issues related to this mode, you may opt to disable the SELinux, or create policy modules to grant the required access. Please contact your administrator or security team for assistance.

For macOS

When you run the Active Console 2 macOS binary for the first time, the Active Console 2 displays a warning message:

To resolve this:

  1. Open the Active Console 2 folder from your local machine.
  2. Right-click ActiveConsole.app.
  3. Click Open.

Database support

The Active Console 2 supports the following database:

Database Version
MySQL 5.5, 5.6, 5.7
Sybase 15.7, 16.0, 16.1, 16.2
Oracle 11.2, 12.1, 12.2
MSSQL 2012, 2014, 2016